
QGIS Application - Bug report #9568

Rubberband bug if zooming in or out during nodetool edition

2014-02-15 08:23 AM - Leyan Ouyang

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 18151

Description

I often have to zoom in or out during edition, either to see a larger area or to place a point more precisely and avoid snapping. I use the

mouse wheel to do it while keeping the mouse button pressed in order not to release the node I am currently moving.

In that case, there is an offset between the main blue rubberband and the mouse. However, the red rubberband from topology edition

manages to follow the cursor. The blue rubberband also gets at the correct position when snapping to a vertex or segment.

History

#1 - 2017-05-01 01:08 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2018-03-01 12:29 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please test with a recent QGIS release (2.18 or 3), if the issue/request is still valid change the affected version accordingly, if is fixed/implemented then

close the ticket. Thanks!

#3 - 2018-08-15 11:57 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

- Description updated

Closing for lack of feedback.
